The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Quarantined Host Details

Prev Next

This URL provides the list of quarantined host and their details.

Resource URL

GET /sensor/<sensor_id>/action/quarantinehost/details

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id. Give -1 if all the quarantine hosts are needed

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

QuarantineHostDetails

List of quarantined host with details

Array

Details of object in QuarantineHostDetails:

Field Name

Description

Data Type

QuarantineHostDetail

Quarantine hosts with details

Object

Details of object in QuarantineHostDetail:

Field Name

Description

Data Type

ipAddress

Quarantine host IP

String

hostname

Quarantine host name

String

OS

Operating system

String

user

User

String

quarantineDetails

Quarantine details

Object

addedToQuarantine

Details of when the host was quarantined

Object

remediate

Whether the IP is remediated

Boolean

pendingRelease

When the host will be released

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/-1/action/quarantinehost/details

Response

{
	'quarantineHostDetail': [{
		'ipAddress': '1.1.1.13',
		'quarantineDetails': {
			'device': 'admalware-1450',
			'quarantineZone': 'Allow DNS'
		},
		'addedToQuarantine': {
			'by': 'TFTP: Wvtftp Remote Heap Overflow',
			'time': 'Dec 31 16:00 PST'
		},
		 'remediate': true,
   'pendingRelease': 'Explicit Release Required'
	}]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is Inactive